# LTB AGVis

<img src="docs/source/images/sponsors/CURENT_Logo_NameOnTrans.png" alt="CURENT ERC Logo" width="300" height="auto">

Geographical visualizer for energy system, serving as the visualization module for the [CURENT Largescale Testbed][LTB Repository].

|               | Latest                                                                                                                                   | Stable                                                                                                                                   |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| Documentation | [![Latest Documentation](https://readthedocs.org/projects/agvis/badge/?version=stable)](https://agvis.readthedocs.io/en/latest/?badge=stable) | [![Documentation Status](https://readthedocs.org/projects/agvis/badge/?version=latest)](https://agvis.readthedocs.io/en/latest/?badge=latest) |

# Why AGVis

AGVis is a geovisualization tool that facilitates the visualization of ***large-scale real-time*** power system simulation.

AGVis can visualize the entire North America power grid topology:

![image](./docs/source/getting_started/cases/northamerica.png)

Visit [Visualization Gallery][Visualization Gallery] for more examples.

AGVis can also visualize the dynamic results of the Western Electric Coordinating Council (WECC) power system:

![image](./docs/source/getting_started/cases/wecc_dyn.png)

Check out [Demo Videos][Demo Videos] for demonstration videos.

# Quick Start

AGVis runs on Linux or Windows, a quick start guide is available at [Tutorial][tutorial].

AGVis is currently under active development. Use the following resources to get involved.

+ Start from the [documentation][readthedocs] for installation and tutorial.
+ Check out examples in the [advanced usage][advanced usage]
+ Ask a question in the [GitHub Discussions][Github Discussions]
+ Report bugs or issues by submitting a [GitHub issue][GitHub issues]
+ Submit contributions using [pull requests][GitHub pull requests]
+ Read release notes highlighted [here][release notes]
+ Check out and cite our [paper][naps paper]

# Citing AGVis

If you use AGVis for research or consulting, please cite the following publications in your publication:

> N. Parsly, J. Wang, N. West, Q. Zhang, H. Cui and F. Li, "DiME and AGVis: A Distributed Messaging Environment and Geographical Visualizer for Large-Scale Power System Simulation," 2023 North American Power Symposium (NAPS), Asheville, NC, USA, 2023, pp. 1-5, doi: 10.1109/NAPS58826.2023.10318583.

Please refer as **LTB AGVis** for the first occurence and then refer as **AGVis**.

# Sponsors and Contributors

This work was supported in part by the Engineering Research Center
Program of the National Science Foundation and the Department of Energy under NSF Award Number EEC-1041877 and the CURENT Industry Partnership Program.

AGVis is originally developed by Nicholas West and currently developed and maintained by Nicholas Parsly.

See [GitHub contributors][GitHub contributors] for the contributor list.

# License

AGVis is licensed under [GPL v3 License](./LICENSE)

---

[GitHub releases]: https://github.com/CURENT/agvis/releases
[GitHub issues]: https://github.com/CURENT/agvis/issues
[Github Discussions]: https://github.com/CURENT/agvis/discussions
[GitHub insights]: https://github.com/CURENT/agvis/pulse
[GitHub pull requests]: https://github.com/CURENT/agvis/pulls
[GitHub contributors]: https://github.com/CURENT/agvis/graphs/contributors
[readthedocs]: https://agvis.readthedocs.io
[advanced usage]: https://agvis.readthedocs.io/en/latest/usage/index.html
[release notes]: https://agvis.readthedocs.io/en/latest/release-notes.html
[naps paper]: https://ieeexplore.ieee.org/document/10318583
[tutorial]: https://agvis.readthedocs.io/en/latest/getting_started/tutorial/index.html
[LTB Repository]: https://github.com/CURENT
[Visualization Gallery]: https://ltb.readthedocs.io/projects/agvis/en/latest/getting_started/testcases.html#visualization-gallery
[Demo Videos]: https://www.youtube.com/watch?v=VwsG5QuUKF8&list=PLE1ipkSMcqsbY8V8-DqVsMmlLMpXKtkld&ab_channel=CURENTLTB
